Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge.svg12
Class SVG12ScriptingEnvironment.HandlerScriptingEventListener

    java.lang.Object
      org.apache.batik.bridge.svg12.SVG12ScriptingEnvironment.HandlerScriptingEventListener

All Implemented Interfaces:
  EventListener

Enclosing class:
  SVG12ScriptingEnvironment

    protected class SVG12ScriptingEnvironment.HandlerScriptingEventListener

extends Object
implements EventListener

To handle a scripting event with an XML Events style handler.

Field Summary
`protected String` | `eventNamespaceURI` The namespace URI of the event type.
`protected String` | `eventType` The event type.
`protected AbstractElement` | `handlerElement` The handler element.

Constructor Summary
`SVG12ScriptingEnvironment.HandlerScriptingEventListener(String ns, String et, AbstractElement e)` Creates a new HandlerScriptingEventListener.

Method Summary
`void` | `handleEvent(Event evt)` Runs the script.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eventNamespaceURI

    protected String eventNamespaceURI

  The namespace URI of the event type.

### eventType

    protected String eventType

  The event type.

### handlerElement

    protected AbstractElement handlerElement

  The handler element.

Constructor Detail

### SVG12ScriptingEnvironment.HandlerScriptingEventListener

    public SVG12ScriptingEnvironment.HandlerScriptingEventListener(String ns,
                                                                   String et,
                                                                   AbstractElement e)

  Creates a new HandlerScriptingEventListener.

  Parameters:
    `ns` - Namespace URI of the event type.
    `et` - The event type.
    `e` - The handler element.

Method Detail

### handleEvent

    public void handleEvent(Event evt)

  Runs the script.

  Specified by:
    `handleEvent` in interface `EventListener`
  Parameters:
    `evt` - The `Event` contains contextual information about the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.